## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseBaseTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizedObject, Table

All Known Subinterfaces:
  SybaseASABaseProxyTable, SybaseASABaseTable, SybaseASABaseTempTable, SybaseASATable, SybaseASATempTable, SybaseASEBaseTable, SybaseASEProxyTable, SybaseASETable, SybaseASETempTable, SybaseASEWebServiceTable

All Known Implementing Classes:
  SybaseASABaseProxyTableImpl, SybaseASABaseTableImpl, SybaseASABaseTempTableImpl, SybaseASACatalogBaseProxyTable, SybaseASACatalogBaseTempTable, SybaseASACatalogTable, SybaseASACatalogTempTable, SybaseASATableImpl, SybaseASATempTableImpl, SybaseASEBaseTableImpl, SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogTempTable, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASETempTableImpl, SybaseASEWebServiceTableImpl, SybaseBaseTableImpl

    public interface SybaseBaseTable

extends BaseTable, SybaseAuthorizedObject

A representation of the model object 'Sybase Base Table'.

See Also:
  `SybasesqlmodelPackage.getSybaseBaseTable()`

Method Summary
`java.util.List` `getCheckConstraints()`
`boolean` `isSystem()`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isSystem

    boolean isSystem()

### getCheckConstraints

    java.util.List getCheckConstraints()